package com.nantian.cloud.jljc.service.impl;

import com.nantian.cloud.jljc.entity.TReportRateprogress;
import com.nantian.cloud.jljc.mapper.TReportRateprogressMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TReportRateprogressService;
import org.springframework.stereotype.Service;

/**
 * 报表1-4进度节能量目标完成情况表 服务实现类
 * @since 2020-09-16
 * @author stz
 */
@Service("tReportRateprogressService")
public class TReportRateprogressServiceImpl extends ServiceImpl<TReportRateprogressMapper, TReportRateprogress> implements TReportRateprogressService {

    @Override
    public boolean saveOrUpdates(TReportRateprogress tReportRateprogress) {
        return baseMapper.saveOrUpdates(tReportRateprogress);
    }

    @Override
    public Double getEnergyProgress(String enterpriseCode, String year, int pYear) {
        return baseMapper.getEnergyProgress(enterpriseCode,year,pYear);
    }

    @Override
    public Double getUnitEnergyProgress(String enterpriseCode, String year, int pYear) {
        return baseMapper.getUnitEnergyProgress(enterpriseCode,year,pYear);
    }
}
